package com.hfkj.sysenum;

import java.util.EnumSet;

/**
 * @className: TradeOrderProfitSharingReceiverObjectType
 * @author: HuRui
 * @date: 2023/2/22
 **/
public enum ProfitSharingReceiverObjectType {
    operating(1, "运营公司"),
    company(2, "公司"),

    agent(3, "代理商"),
    mer(4, "商户"),
    ;

    private Integer type;

    private String name;

    ProfitSharingReceiverObjectType(int type, String name) {
        this.type = type;
        this.name = name;
    }

    /**
     * 获取枚举数据
     * @return
     */
    public static EnumSet<ProfitSharingReceiverObjectType> getDataList() {
        return EnumSet.allOf(ProfitSharingReceiverObjectType.class);
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
